package com.ruoyi.care.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 111对象 care_records
 * 
 * @author qy
 * @date 2025-01-07
 */
public class CareRecords extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long recordId;

    /** 节点名称 */
    @Excel(name = "节点名称")
    private String nodeTitle;

    /** 操作人 */
    @Excel(name = "操作人")
    private String operate;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 状态 */
    @Excel(name = "状态")
    private String state;


    private Long applyId;
    private String operateName;
    private Long parentId;
    private String code;
    private String isAgree;

    public String getIsAgree() {
        return isAgree;
    }

    public void setIsAgree(String isAgree) {
        this.isAgree = isAgree;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getOperateName() {
        return operateName;
    }

    public void setOperateName(String operateName) {
        this.operateName = operateName;
    }

    public Long getApplyId() {
        return applyId;
    }

    public void setApplyId(Long applyId) {
        this.applyId = applyId;
    }

    public void setRecordId(Long recordId)
    {
        this.recordId = recordId;
    }

    public Long getRecordId() 
    {
        return recordId;
    }
    public void setNodeTitle(String nodeTitle) 
    {
        this.nodeTitle = nodeTitle;
    }

    public String getNodeTitle() 
    {
        return nodeTitle;
    }
    public void setOperate(String operate) 
    {
        this.operate = operate;
    }

    public String getOperate() 
    {
        return operate;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setState(String state) 
    {
        this.state = state;
    }

    public String getState() 
    {
        return state;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("recordId", getRecordId())
            .append("nodeTitle", getNodeTitle())
            .append("operate", getOperate())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("state", getState())
            .toString();
    }
}
